# $Revision: 1.41 $, $Date: 2011/04/15 12:20:58 $
Summary:	kanyremote - bluetooth remote for KDE
Summary(pl.UTF-8):	kanyremote - pilot bluetooth dla KDE
Name:		kanyremote
Version:	5.12
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/anyremote/%{name}-%{version}.tar.gz
# Source0-md5:	1871cc2df33b7e4928a14585e5f64bbe
URL:		http://anyremote.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bluez-libs-devel
BuildRequires:	kde4-kdelibs-devel >= 4.3
BuildRequires:	libstdc++-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	python-bluetooth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The overall goal of this project is to provide wireless Bluetooth or
InfraRed remote control service for KDE. In contrast with other
Bluetooth remote control programs kAnyRemote is not limited to
SonyEricsson or JSR-82 capable phones. It was developed as just thin
"communication" layer beetween bluetooth-capabled phone and Linux, and
in principle could be configured to manage any software. But Bluetooth
is not the only way to use it. kAnyRemote could be used with:
- IR-capabled phone
- with cable connection
- it could accept incoming connection from network
- it could work with Java client written for JSR82 capabled phones
  (like Bemused)
- it have limited support for existing Bemused clients.

AnyRemote is its console equivalent (you can find it in anyremote
package).

%description -l pl.UTF-8
Ogólnym celem tego projektu jest dostarczenie zdalnego,
bezprzewodowego systemu kontroli nad Linuksem z użyciem Bluetootha lub
podczerwieni (IrDA). W odróżnieniu od innych programów tego typu
kAnyRemote nie jest ograniczony do obsługi telefonów SonyEricssona czy
JSR-82. Został zaprojektowany jako cienka warstwa "komunikacyjna"
między telefonem posiadającym Bluetooth, a Linuksem i w zasadzie może
zostać skonfigurowany do obsługi każdej aplikacji. Połączenia
Bluetooth nie są jedynym sposobem by korzystać z programu. kAnyRemote
może być używany wraz z:
- telefonami posiadającymi podczerwień (IrDA)
- telefonami z połączeniem kablowym
- może odbierać połączenia przychodzące z sieci
- klientem Javy napisanym dla telefonów obsługujących JSR82 (jak
  Bemused)
- już istniejącymi klientami Bemused (częściowa obsługa).

Jego konsolowym odpowiednikiem jest AnyRemote (można go znaleźć w
pakiecie anyremote).

%prep
%setup -q

%build
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}/kde}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	kdelnkdir=%{_desktopdir} \

# fix locale names
mv $RPM_BUILD_ROOT%{_datadir}/locale/cs{_CZ,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/de{_DE,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/es{_ES,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/fi{_FI,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/fr{_FR,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/hu{_HU,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/it{_IT,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/nl{_NL,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/pl{_PL,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/ru{_RU,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/sk{_SK,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/sv{_SE,}

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/kanyremote
%{_desktopdir}/kanyremote.desktop
%{_pixmapsdir}/kanyremote*.png
%{_pixmapsdir}/kanyremote*.svg

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kanyremote.spec,v $
Revision 1.41  2011/04/15 12:20:58  lisu
- up to 5.12
- drop useless doc directory

Revision 1.40  2010/09/18 16:05:04  blekot
- R: python-bluetooth
- rel 2

Revision 1.39  2010/09/18 08:56:28  lisu
- 5.11.9

Revision 1.38  2010/08/12 07:35:25  lisu
- 5.11.8

Revision 1.37  2010/07/16 13:30:55  lisu
- 5.11.7
- adapter

Revision 1.36  2010/07/09 20:57:54  arvenil
- up to 5.11.6

Revision 1.35  2010/02/16 23:21:54  sparky
- BR: rpm-pythonprov

Revision 1.34  2010/02/16 14:53:07  ankry
- more locale name fixes, rel. 2

Revision 1.33  2009/10/23 20:54:49  shadzik
- 5.10 (kde4)

Revision 1.32  2008/10/24 17:06:02  megabajt
- fix locale names
- release 2

Revision 1.31  2008/10/20 18:16:31  arekm
- md5

Revision 1.30  2008/10/20 17:48:50  arekm
- up to 5.3

Revision 1.29  2008/08/31 20:04:44  arekm
- release 2

Revision 1.28  2007-09-18 07:27:46  shadzik
- 3.2

Revision 1.27  2007/08/23 15:51:26  rotom
- up to 3.1

Revision 1.26  2007/07/25 11:11:31  shadzik
- up to 3.0

Revision 1.25  2007/05/23 22:34:37  shadzik
- 2.12

Revision 1.24  2007/04/30 21:39:28  rotom
- up to 2.11.1

Revision 1.23  2007/04/25 22:47:45  shadzik
- 2.11

Revision 1.22  2007/03/30 21:55:50  rotom
- up to 2.10

Revision 1.21  2007/03/28 15:55:51  shadzik
- 2.9.1

Revision 1.20  2007/03/28 15:53:33  shadzik
- 2.9

Revision 1.19  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.17  2007/01/18 01:58:01  shadzik
- 2.6

Revision 1.16  2007/01/07 18:33:57  shadzik
- 2.5

Revision 1.15  2007/01/07 18:33:25  shadzik
- 2.4

Revision 1.14  2006/12/20 23:54:05  shadzik
- 2.3

Revision 1.13  2006/12/12 23:36:18  shadzik
- 2.2

Revision 1.12  2006/12/01 00:11:33  darekr
- BR: bluez-libs-devel
- install .png files, fixed %files

Revision 1.11  2006/12/01 00:02:45  darekr
- BR: libstdc++-devel, added %doc

Revision 1.10  2006/11/30 23:51:52  shadzik
- 2.1

Revision 1.9  2006/11/24 14:19:38  qboosh
- complete URL

Revision 1.8  2006/11/24 14:19:20  qboosh
- typos, inform about package not spec
- move .desktop to proper place
- missing dir

Revision 1.7  2006/11/19 18:16:45  shadzik
- readd BR

Revision 1.6  2006/11/19 17:57:24  shadzik
- add new autotools support

Revision 1.5  2006/11/19 00:56:27  shadzik
- better adapterization

Revision 1.4  2006/11/19 00:55:03  shadzik
- extended summaries and descriptions (both en,pl)

Revision 1.3  2006/11/18 18:40:31  shadzik
- fix Source0

Revision 1.2  2006/11/18 18:27:22  shadzik
- URL

Revision 1.1  2006/11/18 18:23:34  shadzik
- new, NFY
